> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neobank.proofof.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Confirmation Intent



## OpenAPI

````yaml /openapi.json post /v1/confirmation-intents
openapi: 3.1.0
info:
  summary: >-
    Canonical API for customer onboarding, accounts, remittance, mandates, and
    cards.
  title: Example Neobank
  version: 0.1.0
servers: []
security: []
paths:
  /v1/confirmation-intents:
    post:
      tags:
        - Identity
      summary: Create Confirmation Intent
      operationId: create_confirmation_intent_v1_confirmation_intents_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConfirmationIntentCreate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfirmationIntentView'
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Malformed or invalid request semantics
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Authentication required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Action not permitted
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Resource not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: State or idempotency conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Request validation failed
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Rate limit exceeded
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Invalid upstream response
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Provider capability unavailable
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Provider timeout
components:
  schemas:
    ConfirmationIntentCreate:
      additionalProperties: false
      properties:
        action:
          enum:
            - transfer.create
            - mandate.create
            - mandate.revoke
            - card.create
            - card.freeze
            - card.unfreeze
            - card.close
            - card.reveal
          title: Action
          type: string
        payload:
          additionalProperties: true
          title: Payload
          type: object
        return_to:
          maxLength: 500
          pattern: ^/[A-Za-z0-9/_?&=.-]*$
          title: Return To
          type: string
      required:
        - action
        - payload
        - return_to
      title: ConfirmationIntentCreate
      type: object
    ConfirmationIntentView:
      additionalProperties: false
      properties:
        expires_at:
          format: date-time
          title: Expires At
          type: string
        id:
          title: Id
          type: string
        state:
          title: State
          type: string
        step_up_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Step Up Url
      required:
        - id
        - state
        - step_up_url
        - expires_at
      title: ConfirmationIntentView
      type: object
    ProblemDetails:
      additionalProperties: false
      properties:
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        fields:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Fields
        instance:
          title: Instance
          type: string
        refresh_onboarding:
          title: Refresh Onboarding
          type: boolean
        request_id:
          title: Request Id
          type: string
        retryable:
          title: Retryable
          type: boolean
        status:
          title: Status
          type: integer
        submission_uncertain:
          title: Submission Uncertain
          type: boolean
        title:
          title: Title
          type: string
        type:
          title: Type
          type: string
      required:
        - type
        - title
        - status
        - detail
        - instance
        - code
        - request_id
        - retryable
        - submission_uncertain
        - refresh_onboarding
      title: ProblemDetails
      type: object

````